Subject: Re: [PATCH] add a simple 405EP based board

From: Arnd Bergmann <[email-masked]>
Date: Thu, 21 Aug 2008 15:42:37 +0200

On Thursday 21 August 2008, Josh Boyer wrote:
> On Thu, 2008-08-21 at 10:07 +0200, Markus Brunner wrote:
> > This adds support for a simple ppc405ep board. 
> > At the moment, there are no 405ep boards in arch/powerpc, so this can be used as a template
> > for new boards, or migrating them from arch/ppc.
> > I2c, UART and EMAC are working. PCI could not be tested, so it was not included in the dts.
> 
> I plan on adding more 405 board support very soon.  When I do, it'll be
> along the lines of the patch series I just sent out for 44x.  There's
> really no reason to have a per CPU/board file if we can avoid it.
> 

This may be a stupid question, but is there really a reason to keep 40x and 44x
setup files separate? AFAICT, the ppc_md structures are the same, so even you
can never have a common binary between 40x and 44x, you may have the same platform
file.

	Arnd <><